#ifndef QUAD
#define QUAD

#include "color.h"
#include "real.h"

typedef struct{
  real_t x;
  real_t y;
  real_t w;
  real_t h;
  Color c;
} Quad;

int inside_quad(Quad* q, real_t x, real_t y);
void render(Quad* q);



#endif
